matevfs.DirectoryHandle
Prev | The matevfs class reference | Next

## matevfs.DirectoryHandle

matevfs.DirectoryHandle — iterator object for reading directories

## Synopsis

    class matevfs.DirectoryHandle:
        matevfs.DirectoryHandle(uri, options=matevfs.DIRECTORY_VISIT_DEFAULT)
        def next()

## Description

## Constructor

        matevfs.DirectoryHandle(uri, options=matevfs.DIRECTORY_VISIT_DEFAULT)

`uri`: | mate-vfs URI to open
`options`: | Or'd set of directory visit flags.
Returns: | the new `matevfs.DirectoryHandle`

Open the directory specified by `uri`.

## Methods

### matevfs.DirectoryHandle.next

        def next()

Returns : | A matevfs.FileInfo describing the next directory entry.

Read the next directory entry.

Prev | Up | Next
matevfs.Context | Home | matevfs.Drive